Subject: Re: bug#63271: 29.0.90; broken mouse-face

From: Po Lu <[email-masked]>
Date: Sat, 06 May 2023 19:19:15 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: Juri Linkov <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 05 May 2023 20:38:21 +0300
>> 
>> >> 1. M-x global-tab-line-mode RET
>> >> 2. C-h C-n   ;; (view-emacs-news)
>> >> 3. C-h C-t   ;; (view-emacs-todo)
>> >> 4. C-x b *scratch* RET
>> >>
>> >> Hover the mouse pointer over the tabs.
>> >> Over all tabs mouse-face is 'tab-line-highlight'
>> >> that is light grey color.  But over the "TODO" tab
>> >> the main text is not highlighted with mouse-face.
>> >
>> > I cannot reproduce this with the current emacs-29 branch.  All tabs
>> > behave the same as far as mouse-highlight is concerned.
>> >
>> > Maybe this is specific to X or GTK?  (Why don't you post the details
>> > of your build and configuration, as collected by report-emacs-bug?)
>> 
>> Sorry, I didn't expect that details are needed because the bug is 100%
>> reproducible on GTK, Lucid and no toolkit.  But here are the details:
>
> Very strange.  Are you sure the recipe above is all that is needed,
> starting from "emacs -Q", to reproduce the problem?

I don't see this on any X build.
Would you please post details of the font that is displaying the tab
line?